Bug 142549 - Enabling printer sharing only opens ipp:udp port
Enabling printer sharing only opens ipp:udp port
Status: CLOSED DUPLICATE of bug 90946
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-10 10:52 EST by Matthew Saltzman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 11:55:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2004-12-10 10:52:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
When sharing is enabled for a locally connected printer, ipp:udp is
opened in iptables, but ipp:tcp is not.  The effect is that the
printer is viewable from client machines, but jobs queue on the client
without printing.

Opening ipp:tcp on the server in system-config-securitylevel causes
the client's queue to flush and all jobs to print.  Also allows
client's eggcups to view job status, which it won't do without the TCP
port open.

Version-Release number of selected component (if applicable):
system-config-printer-0.6.116-1

How reproducible:
Always

Steps to Reproduce:
1. Use system-config-printer to enable sharing.
2. Check firewall status with "service iptables status".
3. Print a job to the shared printer from another machine via IPP.
    

Actual Results:  In step 2, ipp:udp is open, but ipp:tcp is not.
In step 3, job hangs in queue.  Client's eggcups shows unknown name
and size.

Expected Results:  In step 2, probably ipp:tcp should be open as well.
In step 3, job should print and eggcups should show proper name and size.

Additional info:
Comment 1 Tim Waugh 2004-12-10 10:59:59 EST
system-config-printer doesn't open any ports at all, because there is no
infrastructure to do so. (I've been saying this for *ages*.)
Comment 2 Paul Nasrat 2004-12-10 11:07:34 EST
Yeah we should sort for FC4.
Comment 3 Chris Lumens 2005-03-29 11:55:02 EST

*** This bug has been marked as a duplicate of 90946 ***

Note You need to log in before you can comment on or make changes to this bug.